Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 541)
+++ CMakeLists.txt	(revision 554)
@@ -1,14 +1,16 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
-IF(EXISTS ${CMAKE_SOURCE_DIR}/cmake/version.cmake)
-  INCLUDE(${CMAKE_SOURCE_DIR}/cmake/version.cmake)
-ELSE(EXISTS ${CMAKE_SOURCE_DIR}/cmake/version.cmake)
-  SET(PROJECT_NAME "LEMON")
-  SET(PROJECT_VERSION "hg-tip" CACHE STRING "LEMON version string.")
-ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/cmake/version.cmake)
+SET(PROJECT_NAME "LEMON")
+SET(PROJECT_VERSION "hg-tip" CACHE STRING "The version string.")
 
 PROJECT(${PROJECT_NAME})
 
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+INCLUDE(FindDoxygen)
+INCLUDE(FindGhostscript)
+FIND_PACKAGE(GLPK 4.33)
+
+ADD_DEFINITIONS(-DHAVE_CONFIG_H)
 
 IF(MSVC)
@@ -21,11 +23,9 @@
 ENDIF(MSVC)
 
-INCLUDE(FindDoxygen)
-INCLUDE(FindGhostscript)
-
-ADD_DEFINITIONS(-DHAVE_CONFIG_H)
-
-INCLUDE(CheckTypeSize)
-CHECK_TYPE_SIZE("long long" LEMON_LONG_LONG)
+IF(GLPK_FOUND)
+  SET(HAVE_LP TRUE)
+  SET(HAVE_MIP TRUE)
+  SET(HAVE_GLPK TRUE)
+ENDIF(GLPK_FOUND)
 
 ENABLE_TESTING()
@@ -37,6 +37,12 @@
 
 IF(WIN32)
+  INSTALL(FILES ${CMAKE_SOURCE_DIR}/cmake/nsis/lemon.ico
+    DESTINATION bin)
+ENDIF(WIN32)
+
+IF(WIN32)
   SET(CPACK_PACKAGE_NAME ${PROJECT_NAME})
-  SET(CPACK_PACKAGE_VENDOR "EGRES")
+  SET(CPACK_PACKAGE_VENDOR
+    "EGRES - Egervary Research Group on Combinatorial Optimization")
   SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY
     "LEMON - Library of Efficient Models and Optimization in Networks")
@@ -50,33 +56,34 @@
     "${PROJECT_NAME} ${PROJECT_VERSION}")
 
-  SET(CPACK_COMPONENTS_ALL headers library html_documentation)
+  # Variables to generate a component-based installer.
+  #SET(CPACK_COMPONENTS_ALL headers library html_documentation)
 
-  SET(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ headers")
-  SET(CPACK_COMPONENT_LIBRARY_DISPLAY_NAME "Dynamic-link library")
-  SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DISPLAY_NAME "HTML documentation")
+  #SET(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ headers")
+  #SET(CPACK_COMPONENT_LIBRARY_DISPLAY_NAME "Static library")
+  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DISPLAY_NAME "HTML documentation")
 
-  SET(CPACK_COMPONENT_HEADERS_DESCRIPTION
-    "C++ header files")
-  SET(CPACK_COMPONENT_LIBRARY_DESCRIPTION
-    "DLL and import library")
-  SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DESCRIPTION
-    "Doxygen generated documentation")
+  #SET(CPACK_COMPONENT_HEADERS_DESCRIPTION
+  #  "C++ header files for use with the LEMON library")
+  #SET(CPACK_COMPONENT_LIBRARY_DESCRIPTION
+  #  "Static library used to build programs with LEMON")
+  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DESCRIPTION
+  #  "Doxygen generated documentation")
 
-  SET(CPACK_COMPONENT_HEADERS_DEPENDS library)
+  #SET(CPACK_COMPONENT_HEADERS_DEPENDS library)
 
-  SET(CPACK_COMPONENT_HEADERS_GROUP "Development")
-  SET(CPACK_COMPONENT_LIBRARY_GROUP "Development")
-  SET(CPACK_COMPONENT_HTML_DOCUMENTATION_GROUP "Documentation")
+  #SET(CPACK_COMPONENT_HEADERS_GROUP "Development")
+  #SET(CPACK_COMPONENT_LIBRARY_GROUP "Development")
+  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_GROUP "Documentation")
 
-  SET(CPACK_COMPONENT_GROUP_DEVELOPMENT_DESCRIPTION
-    "Components needed to develop software using LEMON")
-  SET(CPACK_COMPONENT_GROUP_DOCUMENTATION_DESCRIPTION
-    "Documentation of LEMON")
+  #SET(CPACK_COMPONENT_GROUP_DEVELOPMENT_DESCRIPTION
+  #  "Components needed to develop software using LEMON")
+  #SET(CPACK_COMPONENT_GROUP_DOCUMENTATION_DESCRIPTION
+  #  "Documentation of LEMON")
 
-  SET(CPACK_ALL_INSTALL_TYPES Full Developer)
+  #SET(CPACK_ALL_INSTALL_TYPES Full Developer)
 
-  SET(CPACK_COMPONENT_HEADERS_INSTALL_TYPES Developer Full)
-  SET(CPACK_COMPONENT_LIBRARY_INSTALL_TYPES Developer Full)
-  SET(CPACK_COMPONENT_HTML_DOCUMENTATION_INSTALL_TYPES Full)
+  #SET(CPACK_COMPONENT_HEADERS_INSTALL_TYPES Developer Full)
+  #SET(CPACK_COMPONENT_LIBRARY_INSTALL_TYPES Developer Full)
+  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_INSTALL_TYPES Full)
 
   SET(CPACK_GENERATOR "NSIS")
@@ -90,5 +97,5 @@
   SET(CPACK_NSIS_CONTACT "lemon-user@lemon.cs.elte.hu")
   SET(CPACK_NSIS_CREATE_ICONS_EXTRA "
-    CreateShortCut \\\"$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\Documentation.lnk\\\" \\\"$INSTDIR\\\\share\\\\doc\\\\index.html\\\"
+    CreateShortCut \\\"$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\Documentation.lnk\\\" \\\"$INSTDIR\\\\doc\\\\index.html\\\"
     ")
   SET(CPACK_NSIS_DELETE_ICONS_EXTRA "
